Subject: Re: bug#52193: mv broken on non-APFS filesystems on macOS on coreutils >= 9.0

From: Paul Eggert <[email-masked]>
Date: Mon, 29 Nov 2021 18:51:17 -0800

On 11/29/21 16:50, Sudhip Nashi via GNU coreutils Bug Reports wrote:

> It appears that in coreutils 9.0 and greater, the mv command is broken on non-APFS filesystems on macOS. For example, on Apple tmpfs, it fails whenever moving a file with ENOTSUPP.

I don't observe this problem with the latest development version of 
coreutils. Here's how I tried to reproduce the problem on macOS 11.3.1 
20E241:

% touch /tmp/xxxx
% src/mv /tmp/xxxx /tmp/yyyy

and it worked OK.

I just put a copy of the latest coreutils source here:

https://www.cs.ucla.edu/~eggert/coreutils-9.0.36-5e36c.tar.gz

Could you give it a try?

Possibly this is related to the other bug report you mention, since mv 
falls back on cp's algorithm. But if so, I hope that the recent fix to 
cp also fixed mv.